





**Few concern**
1. What happened if any manager delete the parking lot, every slots under the parking lot should be deleted or not need to  handle at database using cascade. For now I am ignoring the foreign key for the simplicity
2. create date and in time serve the same for reservation table so we can consider in time field only
3. Does a user can reserve another slot for his/her vehicle while using another slot
4. Amount should not be frictional. I will update later